<p align="center">
  <img src="https://raw.githubusercontent.com/mimecorg/vuido/master/docs/.gitbook/assets/vuido-logo-200.png" alt style="max-width:100%;">
</p>

<h1 align="center">Vuido</h1>

<p align="center">Create native desktop applications for Windows, OS X and Linux using <a href="https://vuejs.org/">Vue.js</a>.</p>

<p align="center">
  <a href="https://npmjs.org/package/vuido"><img src="https://img.shields.io/npm/v/vuido.svg" alt="NPM module"></a>
  <a href="https://github.com/mimecorg/vuido/blob/master/LICENSE"><img src="https://img.shields.io/github/license/mimecorg/vuido.svg" alt="MIT License"></a>
</p>

## Introduction

Vuido is a framework for creating native desktop applications based on Vue.js. Application using Vuido can run on Windows, OS X and Linux, using native GUI components, and don't require Electron.

Under the hood, Vuido uses the [libui](https://github.com/andlabs/libui) library which provides native GUI components for each desktop platform, and the [libui-node](https://github.com/parro-it/libui-node) bindings for Node.js.

<p align="center">
  <img src="https://raw.githubusercontent.com/mimecorg/vuido/master/docs/.gitbook/assets/vuido-demo.png" alt style="max-width:100%;">
</p>

## Documentation

You can find the full documentation of Vuido at [vuido.mimec.org](https://vuido.mimec.org/).

## Acknowledgements

Vuido is largely based on Vue.js and shares most of its code, except for the platform specific code related to libui.

Vuido was inspired by [Proton Native](https://github.com/kusti8/proton-native), an environment for creating native desktop applications using React.

## License

Vuido is licensed under the MIT license

Copyright (C) 2018 Michał Męciński
